summaryrefslogtreecommitdiffstats
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rwxr-xr-xutils/fetch_os_creds.sh10
-rw-r--r--utils/push-test-logs.sh1
-rw-r--r--utils/test/reporting/LICENSE.txt4
-rw-r--r--utils/test/reporting/README.txt4
-rw-r--r--utils/test/testapi/3rd_party/static/testapi-ui/shared/alerts/alertModalFactory.js2
-rw-r--r--utils/test/testapi/opnfv_testapi/router/url_mappings.py2
-rw-r--r--utils/test/testapi/opnfv_testapi/ui/auth/sign.py9
7 files changed, 21 insertions, 11 deletions
diff --git a/utils/fetch_os_creds.sh b/utils/fetch_os_creds.sh
index 6a382a56c..458bbda3b 100755
--- a/utils/fetch_os_creds.sh
+++ b/utils/fetch_os_creds.sh
@@ -7,7 +7,9 @@
# which accompanies this distribution, and is available at
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
-
+set -o errexit
+set -o nounset
+set -o pipefail
usage() {
echo "usage: $0 [-v] -d <destination> -i <installer_type> -a <installer_ip>" >&2
@@ -157,8 +159,8 @@ elif [ "$installer_type" == "compass" ]; then
sshpass -p root scp 2>/dev/null $ssh_options root@${installer_ip}:~/admin-openrc.sh $dest_path &> /dev/null
info "This file contains the mgmt keystone API, we need the public one for our rc file"
- grep "OS_AUTH_URL.*v2" $dest_path > /dev/null 2>&1
- if [ $? -eq 0 ] ; then
+
+ if grep "OS_AUTH_URL.*v2" $dest_path > /dev/null 2>&1 ; then
public_ip=$(sshpass -p root ssh $ssh_options root@${installer_ip} \
"ssh ${controller_ip} 'source /opt/admin-openrc.sh; openstack endpoint show identity '" \
| grep publicurl | awk '{print $4}')
@@ -223,5 +225,3 @@ fi
echo "-------- Credentials: --------"
cat $dest_path
-
-exit 0
diff --git a/utils/push-test-logs.sh b/utils/push-test-logs.sh
index 9099657c8..f0c488a5a 100644
--- a/utils/push-test-logs.sh
+++ b/utils/push-test-logs.sh
@@ -22,6 +22,7 @@ dir_result="${HOME}/opnfv/$project/results/${branch}"
# + intel-pod12 (vsperf)
node_list=(\
'lf-pod1' 'lf-pod2' 'intel-pod2' 'intel-pod12' \
+'lf-virtual2' 'lf-virtual3' \
'intel-pod5' 'intel-pod6' 'intel-pod7' 'intel-pod8' \
'ericsson-pod1' 'ericsson-pod2' \
'ericsson-virtual1' 'ericsson-virtual2' 'ericsson-virtual3' \
diff --git a/utils/test/reporting/LICENSE.txt b/utils/test/reporting/LICENSE.txt
index d447b560b..4d0b33c6e 100644
--- a/utils/test/reporting/LICENSE.txt
+++ b/utils/test/reporting/LICENSE.txt
@@ -1,5 +1,5 @@
-Creative Commons Attribution 3.0 Unported
-http://creativecommons.org/licenses/by/3.0/
+This work is licensed under a Creative Commons Attribution 4.0 International License.
+SPDX-License-Identifier: CC-BY-4.0
License
diff --git a/utils/test/reporting/README.txt b/utils/test/reporting/README.txt
index 31b8d044d..049cf62ef 100644
--- a/utils/test/reporting/README.txt
+++ b/utils/test/reporting/README.txt
@@ -1,6 +1,6 @@
Phantom by HTML5 UP
html5up.net | @ajlkn
-Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
+SPDX-License-Identifier: CC-BY-4.0
This is Phantom, a simple design built around a grid of large, colorful, semi-interactive
@@ -30,4 +30,4 @@ Credits:
html5shiv.js (@afarkas @jdalton @jon_neal @rem)
Misc. Sass functions (@HugoGiraudel)
Respond.js (j.mp/respondjs)
- Skel (skel.io) \ No newline at end of file
+ Skel (skel.io)
diff --git a/utils/test/testapi/3rd_party/static/testapi-ui/shared/alerts/alertModalFactory.js b/utils/test/testapi/3rd_party/static/testapi-ui/shared/alerts/alertModalFactory.js
index 3ce76c912..929f5433c 100644
--- a/utils/test/testapi/3rd_party/static/testapi-ui/shared/alerts/alertModalFactory.js
+++ b/utils/test/testapi/3rd_party/static/testapi-ui/shared/alerts/alertModalFactory.js
@@ -28,7 +28,7 @@
function raiseAlert($uibModal) {
return function(mode, title, text) {
$uibModal.open({
- templateUrl: '/shared/alerts/alertModal.html',
+ templateUrl: 'testapi-ui/shared/alerts/alertModal.html',
controller: 'RaiseAlertModalController as alert',
backdrop: true,
keyboard: true,
diff --git a/utils/test/testapi/opnfv_testapi/router/url_mappings.py b/utils/test/testapi/opnfv_testapi/router/url_mappings.py
index aea85a4c4..a2312de09 100644
--- a/utils/test/testapi/opnfv_testapi/router/url_mappings.py
+++ b/utils/test/testapi/opnfv_testapi/router/url_mappings.py
@@ -55,7 +55,7 @@ mappings = [
(r"/api/v1/scenarios/([^/]+)", scenario_handlers.ScenarioGURHandler),
# static path
- (r'/(.*\.(css|png|gif|js|html|json|map))',
+ (r'/(.*\.(css|png|gif|js|html|json|map|woff2|woff|ttf))',
tornado.web.StaticFileHandler,
{'path': config.Config().static_path}),
diff --git a/utils/test/testapi/opnfv_testapi/ui/auth/sign.py b/utils/test/testapi/opnfv_testapi/ui/auth/sign.py
index 73190841f..6a9d94eb2 100644
--- a/utils/test/testapi/opnfv_testapi/ui/auth/sign.py
+++ b/utils/test/testapi/opnfv_testapi/ui/auth/sign.py
@@ -32,6 +32,9 @@ class SigninHandler(base.BaseHandler):
class SigninReturnHandler(base.BaseHandler):
def get(self):
+ if self.get_query_argument(const.OPENID_MODE) == 'cancel':
+ self._auth_failure('Authentication canceled.')
+
openid = self.get_query_argument(const.OPENID_CLAIMED_ID)
user_info = {
'openid': openid,
@@ -44,6 +47,12 @@ class SigninReturnHandler(base.BaseHandler):
self.set_secure_cookie('openid', openid)
self.redirect(url=CONF.ui_url)
+ def _auth_failure(self, message):
+ params = {'message': message}
+ url = parse.urljoin(CONF.ui_url,
+ '/#/auth_failure?' + parse.urlencode(params))
+ self.redirect(url)
+
class SignoutHandler(base.BaseHandler):
def get(self):